/*
 * @Author: Gui
 * @Date: 2023-10-09 14:58:55
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2023-10-16 11:03:21
 * @Description: kxs files
 * @filePath:
 */
import { ListDate } from "@/utils/formateDate";
export const CreatorDate = (props: any) => (
  <div>
    {props.AuthDate && (
      <el-text size={props.size} class="justify-start">
        {props.AuthDate !== "无" ? `实名时间:${ListDate(props.AuthDate)}` : ""}
      </el-text>
    )}
    {props.CreateDate && (
      <el-text size={props.size} class="justify-start mt-1">
        注册时间:{ListDate(props.CreateDate)}
      </el-text>
    )}
  </div>
);
export const CustomDate = (props: any) => (
  <div>
    {props.BeginDate && props.BeginDate.Date && (
      <el-text size={props.size} class="justify-start mt-1">
        {props.BeginDate.Remake}:{ListDate(props.BeginDate.Date)}
      </el-text>
    )}
    {props.MiddleDate && props.MiddleDate.Date && (
      <el-text size={props.size} class="justify-start mt-1">
        {props.MiddleDate.Remake}:{ListDate(props.MiddleDate.Date)}
      </el-text>
    )}
    {props.EndDate && props.EndDate.Date && (
      <el-text size={props.size} class="justify-start mt-1">
        {props.EndDate.Remake}:{ListDate(props.EndDate.Date)}
      </el-text>
    )}
  </div>
);
export const CreatorMerchantDate = (props: any) => (
  <div>
    {props.MerchantType === "0" ? (
      <el-tag size={props.size} type="danger" effect="plain">
        非商户型创客
      </el-tag>
    ) : (
      <div>
        <el-tag size={props.size} type="success" effect="plain">
          商户型创客
        </el-tag>
        <el-text size={props.size}>
          转换时间:{ListDate(props.MerchantDate)}
        </el-text>
      </div>
    )}
  </div>
);
