/*
 * @Author: Gui
 * @Date: 2023-10-09 14:37:45
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2023-10-24 17:33:21
 * @Description: kxs files
 * @filePath:
 */
export const CreatorInfo = props => (
  <div>
    <div class="flex justify-center">
      {props.RealName && props.RealName !== "无" && (
        <el-text size={props.size} class="mr-2">
          <el-icon class="el-input__icon">
            <Avatar />
          </el-icon>
          {props.RealName}
        </el-text>
      )}
      {props.RealName && props.UserLevel && props.UserLevel !== "无" && (
        <el-text size={props.size}>{`K${props.UserLevel}`}</el-text>
      )}
    </div>
    {props.MakerCode && props.MakerCode !== "无" && (
      <el-text size={props.size}>
        <el-icon class="el-input__icon">
          <Promotion />
        </el-icon>
        {`${props.MakerCode}`}
      </el-text>
    )}
    {props.RealName && props.Mobile && props.Mobile !== "无" && (
      <el-text size={props.size}>
        <el-icon class="el-input__icon">
          <Phone />
        </el-icon>
        {props.Mobile}
      </el-text>
    )}
    {props.RealName && props.Address && props.Address !== "无" && (
      <el-text size={props.size}>
        <el-icon class="el-input__icon">
          <LocationInformation />
        </el-icon>
        {props.Address}
      </el-text>
    )}
    {!(props.RealName && props.RealName !== "无") &&
      !(props.MakerCode && props.MakerCode !== "无") &&
      "暂无信息"}
  </div>
);
export const MerchantInfo = props => (
  <div>
    <div class="flex justify-center">
      {props.RealName && props.RealName !== "无" && (
        <el-text size={props.size} class="mr-2">
          <el-icon class="el-input__icon">
            <Avatar />
          </el-icon>
          {props.RealName}
        </el-text>
      )}
    </div>
    {props.RealName && props.Mobile && props.Mobile !== "无" && (
      <el-text size={props.size}>
        <el-icon class="el-input__icon">
          <Phone />
        </el-icon>
        {props.Mobile}
      </el-text>
    )}
    {props.RealName && props.Address && props.Address !== "无" && (
      <el-text size={props.size}>
        <el-icon class="el-input__icon">
          <LocationInformation />
        </el-icon>
        {props.Address}
      </el-text>
    )}
    {!(props.RealName && props.RealName !== "无") &&
      !(props.MakerCode && props.MakerCode !== "无") &&
      "暂无信息"}
  </div>
);
